[Hackage] #748: cabal does not use JavaScript proxy autoconfiguration (was: cabal update fails)

Hackage cvs-ghc at haskell.org
Sat Oct 16 07:14:49 EDT 2010

#748: cabal does not use JavaScript proxy autoconfiguration
  Reporter:  guest                |        Owner:         
      Type:  defect               |       Status:  new    
  Priority:  normal               |    Milestone:         
 Component:  cabal-install tool   |      Version:
  Severity:  normal               |     Keywords:         
Difficulty:  very hard (<1 week)  |   Ghcversion:  6.12.3 
  Platform:  Windows              |  
Changes (by duncan):

  * difficulty:  unknown => very hard (<1 week)


 If you're able to pick a static proxy then you can set it with the env
 var. I know some other corporate users do this even though their browsers
 use the funky JS method.

 Yes, I don't intend to add a JS interpreter but in principle it's
 plausible that we could bind to the IE HTTP library and take advantage of
 its proxy support (which does use a JS interpreter). I'd probably accept a
 patch to do that.

Ticket URL: <http://hackage.haskell.org/trac/hackage/ticket/748#comment:6>
Hackage <http://haskell.org/cabal/>
Hackage: Cabal and related projects

More information about the cabal-devel mailing list